# eric7.Globals.AppInfo

Module implementing a function to generate an application info.

### Global Attributes

None

### Classes

None

### Functions

makeAppInfo | Module function to generate a dictionary describing the application.

## makeAppInfo

makeAppInfo(argv, name, arg, description, options=None)

Module function to generate a dictionary describing the application.

argv
  list of commandline parameters (list of strings)
name
  name of the application (string)
arg
  commandline arguments (string)
description
  text describing the application (string)
options
  list of additional commandline options (list of tuples of two strings (commandline option, option description)). The options --version, --help and -h are always present and must not be repeated in this list.

Return:
  dictionary describing the application

Up